//
//  LandingPageViewController.m
//  LemonSDK
//
//  Created by Martiniano Aizaga on 6/28/13.
//  Copyright (c) 2013 Lemon. All rights reserved.
//

#import "LandingPageViewController.h"

@implementation LandingPageViewController

- (void)viewWillAppear:(BOOL)animated {
    [super viewWillAppear:animated];
    switch (self.locale) {
        case LemonLocaleBR:
            [self.backgroundImage setImage:[UIImage imageNamed:@"lemonstore-confirm_br.png"]];
            break;
        default:
            [self.backgroundImage setImage:[UIImage imageNamed:@"lemonstore-confirm.png"]];
            break;
    }
}

- (IBAction)dismissLandingView:(id)sender {
    [self dismissViewControllerAnimated:YES completion:nil];
}

@end
