//
//  ViewController.h
//  LemonSDKTest
//
//  Created by Fabian on 12/5/12.
//  Copyright (c) 2012 Lemon. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "LemonSDK.h"
#import "LemonSDKDelegate.h"

@interface ViewController : UIViewController <LemonSDKDelegate,UIPickerViewDataSource,UIPickerViewDelegate,UITextFieldDelegate>

@property (weak, nonatomic) IBOutlet UITextField *email;
@property (weak, nonatomic) IBOutlet UIView *settingsView;
@property (weak, nonatomic) IBOutlet UIPickerView *pickLanguage;
@property (weak, nonatomic) IBOutlet UITextField *amount;
@property (weak, nonatomic) IBOutlet UITextField *currency;
@property (weak, nonatomic) IBOutlet UITextField *description;
@property (weak, nonatomic) IBOutlet UISwitch *processPayment;
@property (weak, nonatomic) IBOutlet UIImageView *background;

@property (weak, nonatomic) IBOutlet UILabel *labelProcessPayment;
@property (weak, nonatomic) IBOutlet UILabel *labelAmount;
@property (weak, nonatomic) IBOutlet UILabel *labelCurrency;
@property (weak, nonatomic) IBOutlet UILabel *labelDescription;
@property (weak, nonatomic) IBOutlet UIButton *buttonProcessLanguage;

- (IBAction)gotoSDK:(id)sender;
- (IBAction)gotoSettings:(id)sender;
- (IBAction)togglePayment:(id)sender;
- (IBAction)selectLanguage:(id)sender;

@end
